Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to install the ati propreitary driver from this link... here

but somehow at the end it gave me some error.. and when i rebooted, unity complained that my h/w cant run unity.. and since then only the classic interface is available...

can anybody tell me how to uninstall the fglrx drivers?

there is nowhere written how to uninstall the drivers or what to do if the process aborts due to an error..

i am also so much frustrated with ati.. in 5 years amd got up with this driver which is of no use..as the installation process is suitable for people that know how to hack a kernel!.. and absolutly not for intermediate users.

any way to revert.. i dont want to do a clean install all over again.. or can i repair by reinstalling again..(not reformatting)?

update: this is the update process output and errors that i get.. i have ati mobility radeon x700 graphics..

Do you agree with the license? [Y/n] y Do you want to proceed with Recommended installation? [Y/n] y Preprocessing Documentation Installing Documentation ... 100% - //usr/share/doc/ati/ATI_LICENSE.TXT Copying uninstall files for Documentation Preprocessing Display and OpenGL Drivers Installing Display and OpenGL Drivers ... 100% - //usr/share/doc/ati/articles/4485.html 100% - //usr/share/doc/ati/configure.html 100% - //usr/share/doc/ati/linuxfaq.html 100% - //usr/lib/xorg/modules/linux/libfglrxdrm.so 100% - //usr/lib/xorg/modules/drivers/fglrx_drv.so 100% - //usr/lib/xorg/modules/glesx.so 100% - //usr/lib/xorg/modules/amdxmm.so 100% - //usr/lib/libAMDXvBA.cap 100% - //usr/lib/libAMDXvBA.so.1.0 100% - //usr/lib/libXvBAW.so.1.0 100% - //usr/lib/libatiadlxx.so 100% - //usr/lib/libaticalcl.so 100% - //usr/lib/libaticaldd.so 100% - //usr/lib/libaticalrt.so 100% - //usr/lib/libatiuki.so.1.0 100% - //usr/lib/libfglrx_dm.so.1.0 100% - //usr/lib/fglrx/fglrx-libGL.so.1.2 100% - //usr/lib/dri/fglrx_dri.so 100% - //usr/lib/xorg/modules/extensions/fglrx/fglrx-libglx.so 100% - //usr/include/GL/glATI.h 100% - //usr/include/ATI/GL/glx.h 100% - //usr/include/ATI/GL/glxext.h 100% - //usr/bin/fgl_glxgears 100% - //usr/bin/fglrxinfo 100% - //usr/bin/aticonfig 100% - //usr/bin/atiodcli 100% - //usr/bin/atiode 100% - //usr/src/ati/fglrx_sample_source.tgz 100% - //usr/sbin/amdnotifyui 100% - //usr/sbin/atieventsd 100% - //etc/ati/amdpcsdb.default 100% - //etc/ati/atiogl.xml 100% - //etc/ati/control 100% - //etc/ati/logo.xbm.example 100% - //etc/ati/logo_mask.xbm.example Postprocessing Display and OpenGL Drivers Copying uninstall files for Display and OpenGL Drivers Preprocessing Kernel Module Installing Kernel Module ... 100% - //lib/modules/fglrx/build_mod/kcl_acpi.c 100% - //lib/modules/fglrx/build_mod/drm_proc.h 100% - //lib/modules/fglrx/build_mod/kcl_agp.c 100% - //lib/modules/fglrx/build_mod/drmP.h 100% - //lib/modules/fglrx/build_mod/firegl_public.h 100% - //lib/modules/fglrx/build_mod/firegl_public.c 100% - //lib/modules/fglrx/build_mod/drm.h 100% - //lib/modules/fglrx/build_mod/make.sh 100% - //lib/modules/fglrx/build_mod/libfglrx_ip.a 100% - //lib/modules/fglrx/build_mod/kcl_pci.c 100% - //lib/modules/fglrx/make_install.sh Postprocessing Kernel Module Copying uninstall files for Kernel Module Preprocessing Catalyst Control Center Installing Catalyst Control Center ... 100% - //usr/share/icons/ccc_large.xpm 100% - //usr/share/ati/amdcccle/amdcccle_cs.qm 100% - //usr/share/ati/amdcccle/amdcccle_da_DK.qm 100% - //usr/share/ati/amdcccle/amdcccle_de.qm 100% - //usr/share/ati/amdcccle/amdcccle_el_GR.qm 100% - //usr/share/ati/amdcccle/amdcccle_es_ES.qm 100% - //usr/share/ati/amdcccle/amdcccle_fi_FI.qm 100% - //usr/share/ati/amdcccle/amdcccle_fr_FR.qm 100% - //usr/share/ati/amdcccle/amdcccle_hu_HU.qm 100% - //usr/share/ati/amdcccle/amdcccle_it_IT.qm 100% - //usr/share/ati/amdcccle/amdcccle_ja.qm 100% - //usr/share/ati/amdcccle/amdcccle_ko_KR.qm 100% - //usr/share/ati/amdcccle/amdcccle_nl_NL.qm 100% - //usr/share/ati/amdcccle/amdcccle_no.qm 100% - //usr/share/ati/amdcccle/amdcccle_pl.qm 100% - //usr/share/ati/amdcccle/amdcccle_pt_BR.qm 100% - //usr/share/ati/amdcccle/amdcccle_ru_RU.qm 100% - //usr/share/ati/amdcccle/amdcccle_sv_SE.qm 100% - //usr/share/ati/amdcccle/amdcccle_th.qm 100% - //usr/share/ati/amdcccle/amdcccle_tr_TR.qm 100% - //usr/share/ati/amdcccle/amdcccle_zh_CN.qm 100% - //usr/share/ati/amdcccle/amdcccle_zh_TW.qm 100% - //usr/bin/amdcccle 100% - //usr/bin/amdxdg-su 100% - //usr/bin/amdupdaterandrconfig 100% - //usr/share/doc/ati/ccc_copyrights.txt 100% - //usr/share/ati/lib/libQtCore.so.4 100% - //usr/share/ati/lib/libQtGui.so.4 Postprocessing Catalyst Control Center Copying uninstall files for Catalyst Control Center 100% - //usr/share/ati/ATI_LICENSE.TXT

Installation complete. There were errors during installation. Details can be found in /usr/share/ati/fglrx-install.log

[Press Enter]

/usr/share/ati/fglrx-install.log contents:

Unloading radeon module... ERROR: Module radeon is in use Unloading drm module... ERROR: Module drm is in use by radeon,ttm,drm_kms_helper [Message] Kernel Module : Trying to install a precompiled kernel module. [Message] Kernel Module : Precompiled kernel module version mismatched. [Message] Kernel Module : Found kernel module build environment, generating kernel module now. AMD kernel module generator version 2.1 doing Makefile based build for kernel 2.6.x and higher rm -rf *.c *.h *.o *.ko .a .?? *.symvers make -C /lib/modules/2.6.38-8-generic/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules make1: Entering directory /usr/src/linux-headers-2.6.38-8-generic' CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.o Building modules, stage 2. MODPOST 1 modules CC
/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko make[1]: Leaving directory
/usr/src/linux-headers-2.6.38-8-generic' build succeeded with return value 0 duplicating results into driver repository... done. You must change your working directory to /lib/modules/fglrx and then call ./make_install.sh in order to install the built module. - recreating module dependency list - trying a sample load of the kernel modules failed. [Error] Kernel Module : Reboot required. [Reboot] Kernel Module : update-initramfs

when i run make_install.sh...

ashish@ashish-pc:~/Downloads$ cd /lib/modules/fglrx ashish@ashish-pc:/lib/modules/fglrx$ ./make_install.sh ./make_install.sh: line 24: /etc/ati/inst_path_default: Permission denied ./make_install.sh: line 25: /etc/ati/inst_path_override: Permission denied You must be logged in as root to run this script. ashish@ashish-pc:/lib/modules/fglrx$ sudo ./make_install.sh [sudo] password for ashish: - recreating module dependency list - trying a sample load of the kernel modules FATAL: Error inserting fglrx (/lib/modules/2.6.38-8-generic/kernel/drivers/char/drm/fglrx.ko): No such device failed. ashish@ashish-pc:/lib/modules/fglrx$

share|improve this question
    
remove them again, and boot into recovery mode within grub and try again –  Uri Herrera May 12 '11 at 5:19
    
but how do i remove? sudo apt-get remove fglrx does nothing...sudo aticonfig says no adapter found.. i also tried to build a deb package by choosing option 2 in install process.. that too gave me errors. –  ashishsony May 12 '11 at 6:09
    
Dont bother... ATI has stopped support for ait mobility radeon x700 long ago.. had to reinstall ubuntu.. heck ATI/AMD.Never going to have another ATI product ever. –  ashishsony May 14 '11 at 6:45
    
well, it's not that they suck, they have to drop support for older cards, nvidia does the same –  Uri Herrera May 14 '11 at 8:02
    
I see that you've posted code and terminal output as quote formatting. Quotes should not be used for this, and now it is impossible to remake it into code formatting without painstakingly redoing every like. Please repaste it and use CODE formatting. –  hexafraction Jan 13 '13 at 1:02
add comment

2 Answers

sudo apt-get remove fglrx 

then for newest ati driver:

wget http://www2.ati.com/drivers/linux/ati-driver-installer-11-4-x86.x86_64.run

If you have a 64 bit system, then install this before anything:

sudo apt-get install ia32-libs

Once dowloaded right-click the .run file and set it to run as executable.

then.

cd /path_of_the_file       

This is for 32 bit only:

sudo sh ./ati-driver-installer-11-4-x86.x86_64.run

This is for 64 bit only:

sudo sh ./ati-driver-installer-11-4-x86.x86_64.run --buildpkg Ubuntu/natty

sudo dpkg -i fglrx*.deb

Once it's done.

  sudo aticonfig --initial -f

that's all you have to do.

Alternatively you can add this ppa.

   sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
   sudo apt-get update
   sudo apt-get install fglrx
share|improve this answer
add comment

If you click on the fifth link on the page you will get some very useful information on how to troubleshoot the installation of the driver from the unofficial wiki page

I recommend you also read the release notes that is located at the top - it is an ATI document that is well written for the average linux user and will give you installation and removal instructions for the driver.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.